
@media (max-width: 1600px ) {
    .layout {
        min-width: 1200px;
    }
    
    .layout__menu {
        padding: 5rem 6rem;
    }
    
    .services__service {
            padding: 7rem 5rem;
        }
    }
    
    @media( max-width: 1500px ) {
        .projects__project {
            flex-basis: 40%;
            margin: 0 auto;
        }
    }
    
    @media( min-width: 1199px) and ( max-width: 1400px ) {
        .services__grid,
        .projects__grid,
        .reviews__grid,
        .news__container,
        .contact__container,
        .footer__container {
            max-width: 100%;
            padding-left: 3rem;
            padding-right: 3rem;
        }
    
        .projects__all {
            gap: 3rem;
        }
    }
    
    @media(max-width: 1200px) {
        .layout {
            min-width: 992px;
        }
    
        .nav__item {
            margin: 0 2rem;
        }
    
        .reviews__grid,
        .news__container,
        .clients__container,
        .footer__container {
            max-width: 96%;
        }
    
        .news__new:first-child {
            margin-right: 0;
        }
    
        .services__service {
            padding: 4rem 1.5rem;
        }
    
        .service__container-img {
            max-width: 6rem;
        }
    
        .projects__all {
            gap: 3rem;
        }
    
        .layout__stats {
            padding: 10rem 8rem;
        }
    
        .clients__header {
            width: 50%;
        }
    
        .news__list {
            flex-direction: column;
        }
    
        .fleft__container {
            margin-right: 2rem;
        }
    }
    
    @media(max-width: 1000px) {
        .layout {
            min-width: auto;
        }
    
        .navbar__nav {
            display: none;
        }
    
        .navbar__mobile-btn {
            display: block;
        }
    
        .mobile-btn__wrap {
            height: 5rem;
            width: 5rem;
            background-color: var(--color-text-body);
            border: none;
            cursor: pointer;
            border-radius: 3rem;
        }
        
        .mobile-btn__line {
            display: block;
            width: 2rem;
            height: 0.2rem;
            background-color: var(--primary-secondary);
            margin: 0.4rem auto;
            border-radius: 1rem;
            transition: all 300ms ease-in-out;
        }
    
        .layout__banner {
            min-height: 100%;
            margin: 0 3rem;
        }
    
        .banner__title {
            font-size: 5rem;
        }
    
        .banner__btn {
            padding: 2rem 3.5rem;
        }
    
        .banner__content {
            width: 65%;
        }
    
        .reviews__grid,
        .news__container,
        .clients__container,
        .footer__container {
            max-width: 72rem;
        }
    
        .services__subtitle,
        .projects__subtitle,
        .stats__subtitle,
        .reviews__subtitle,
        .clients__subtitle,
        .contact__subtitle
        .news__subtitle {
            font-size: 1.8rem;
        }
    
        .services__title,
        .projects__title,
        .reviews__title,
        .stats__title,
        .clients__title,
        .contact__title,
        .fleft__title,
        .news__title {
            font-size: 4rem;
        }
    
        .services__list {
            flex-direction: column;
        }
        
        .services__service  {
            width: 100%;
        }
    
        .services__service--middle {
            margin-top: 0rem;
        }
    
        .services-shapes--shape3 {
            top: 47%;
            left: 0;
            z-index: -2;
        }
    
        .services-shapes--shape2 {
            display: none;
        }
    
        .services__service--bottom {
            margin-top: 10rem;
        } 
    
        .layout__projects {
            padding: 12rem 4rem;
        }
    
        .project-shapes--shape1 {
            top: 0%;
        }
    
        .project-shapes--shape2 {
            display: none;
        }
    
        .layout__stats {
            padding: 7rem 1rem;
            height: 100vh;
        }
    
        .stats__progress {
            flex-wrap: wrap;
        }
    
        .stats__stat {
            width: calc(50% - 1.5rem);
            padding: 2rem 1rem;
        }
    
        .layout__reviews {
            padding-top: 9rem;
        }
    
        .review__description {
            font-size: 1.5rem;
            margin-bottom: 2rem;
        }
    
        .review-shapes__img {
            top: 44%;
        }
    
        .reviews__container {
            flex-direction: column;
            padding:3rem 4rem;
        }
        
        .reviews__review {
            margin-bottom: 3rem;
            padding-bottom: 3rem;
        }
    
        .author__description {
            margin-top: 0.5rem;
        }
    
        .clients__logos {
            flex-wrap: wrap;
            margin: 0 auto;
        }
    
        .clients__item {
            width: calc(50% - 3rem);
        }
    
        .clients__img {
            margin: 0 auto;
        }
    
        .client-shapes__item {
            top: 1rem;
        }   
            
        .news__container {
            max-width: 85rem;
        }
    
        .news__new {
            margin: 1rem 0;
        }
    
        .news__new:first-child {
            margin-right: 0rem;
        }
    
        .new-shapes--shape4 {
            z-index: -3;
        }
    
        .layout__contact {
            padding: 7rem 0 4rem 0
        }
    
        .layout__clients,
        .layout__stats {
            padding: 10rem 8rem;
        }
    
        .reviews__grid,  
        .clients__container, 
        .footer__container  {
            max-width: 85rem;
        }
    
        .contact__btn {
            padding: 1.8rem 3.3rem;
        }
    
        .contact__thumb {
            width: 40rem;
        }
    
        .contact__thumb--chat {
            margin-right: -1rem;
            z-index: 3;
            margin-bottom: -0.8rem;
            margin-left: 1rem;
        }
    
        .contact__thumb--mobile {
            width: 30rem;
            right: 10rem;
            top: 3rem;
        }
    
        .contact__thumb--laptop {
            right: 0rem;
            top: 5rem;
        }
    
        .contact__img {
            width: 80%;
        }
    
        .fleft__button {
            padding: 1rem 2.8rem;
        }
    
        .social__img {
        font-size: 2rem;
        padding: 2rem;
        transition: all 300ms ease-in-out;
        }
    
        .footer__main {
            flex-direction: column;
        }
    
        .fleft__container {
            width: 100%;
            border: none;
        }
    
        .footer__fright {
            text-align: center;
            height: auto;
            flex-basis: 100%;
        }
    
        .footer__fleft {
            width: 100%;
        }
    
        .footer__copyright {
            flex-basis: auto;
            text-align: center;
            display: block;
            margin-bottom: 1rem;
            margin-top: 0.75rem;
        }
    
        .footer__links {
            flex-basis: 45%;
        }
    
        .footer__widget {
            height: 30rem;
            align-items: center;
        }
    
        .fleft__title,
        .fleft__subtitle {
            padding-left: 2rem;
        }
    
        .footer__bottom {
            flex-direction: column;
            padding: 0.5rem 0;
            font-size: 1.6rem;
            padding-bottom: 1.3rem;
        }
    
        .layout__contact::before {
            height: 75vh;
        }
    
        .contact__thumb--chat {
            right: 8rem;
            width: 34%;
            top: 3rem;
        }
    
        .contact__thumb--mobile {
            right: 8rem;
            top: 5rem;
            width: 30%;
        }
    
        .contact__thumb--laptop {
            /* right: 0rem; */
            right: 12rem;
            top: 1rem;
        }
    }
    
    @media(max-width: 768px)  {
        .layout__banner {
            margin: 0 3rem;
            height: 60vh;
        }
    
        .banner__title {
            font-size: 4.3rem;
        }
    
    
        .layout__services {
            margin: 8rem 3rem;
        }
    
        .services__service--bottom {
            margin-top: 4rem;
        }
    
        .projects__all {
            flex-direction: column;
        }
    
        .layout__stats {
            padding: 5rem 4rem;
        }
    
        .layout__clients {
            padding: 5rem 4rem;
        }
    
        .clients__header {
            width: 90%;
        }
    
        .news__list {
            max-width: 90%;
            margin: 0 auto;
        }
    
        .news__new {
            flex-direction: column;
            padding-bottom: 2rem;
        }
    
        .new__more{
            padding-top: 1.5rem;
        }
    
        .new__container-img {
            margin: 0 auto;
            width: 100%;
        }
    
        .new__img {
            width: 100%;
        }
    
        .services__subtitle,
        .projects__subtitle,
        .stats__subtitle,
        .reviews__subtitle,
        .clients__subtitle,
        .news__subtitle {
            font-size: 1.8rem;
        }
    
        .review__description, 
        .news__description {
            font-size: 1.8rem;
        }
    
        .layout__reviews {
            padding-top: 6rem;
        } 
    
        .reviews__review {
            padding-top: 2rem;
            padding-bottom: 3rem;
        }
    
        .news__title {
            font-size: 2rem;
        }
    
        .layout__contact::before {
            height: 75vh;
        }
    
        .contact__thumb--chat {
            margin-right: -1rem;
            z-index: 3;
            width: 40%;
            top: 3rem;
            margin-bottom: -0.8rem;
            margin-left: 1rem;
        }
    
        .contact__thumb--mobile {
            right: 0rem;
            top: 5rem;
            width: 30%;
        }
    
        .contact__thumb--laptop {
            right: 0rem;
            top: 1rem;
        }
    
        .contact__img {
            width: 74%;
        }
    
        .contact__header {
            margin-bottom: 2.5rem;
        }
    
        .fleft__container  {
            padding-right: 0;
            margin-right: 0;
        } 
    }
    
    @media(max-width: 640px ) {
        .reviews__grid,
        .news__container,
        .contact__container,
        .footer__container {
            max-width: 100%;
            padding-left: 1.5rem;
            padding-right: 1.5rem;
        }
    
        .layout__services {
            padding-left: 3rem;
            margin-left: 3rem;
        }
    
        .layout__contact::before {
            height: 75vh;
        }
    
        .contact__thumb--chat {
            margin-right: -1rem;
            z-index: 3;
            width: 50%;
            top: 3rem;
            left: 0;
            margin-bottom: -0.8rem;
            margin-left: 1rem;
        }
    
        .contact__thumb--mobile {
            right: 0rem;
            top: 5rem;
            width: 20%;
        }
    
        .contact__thumb--laptop {
            right: 0rem;
            top: 1rem;
        }
    
        .contact__img {
            width: 80%;
        }
    
        .projects__categories {
            gap: 4rem;
            flex-wrap: wrap;
        }
    }